org.red5.io.flv.meta

## Interface IMetaService

All Known Implementing Classes:
  MetaService

    public interface IMetaService

IMetaService Defines the MetaData Service API

Author:
  The Red5 Project (red5@osflash.org), Dominick Accattato (daccattato@gmail.com), Luke Hubbard, Codegent Ltd (luke@codegent.com)

### Method Summary

Methods
`File` `getFile()` Returns the file being accessed
`IMetaCue[]` `readMetaCue()` Read the Meta Cue Points
`MetaData<?,?>` `readMetaData(org.apache.mina.core.buffer.IoBuffer buffer)` Read the MetaData
`void` `setFile(File file)` Media file to be accessed
`void` `write(IMetaData<?,?> meta)` Initiates writing of the MetaData
`void` `writeMetaCue()` Writes the Meta Cue Points
`void` `writeMetaData(IMetaData<?,?> metaData)` Writes the MetaData

### Method Detail

#### write

    void write(IMetaData<?,?> meta)
               throws IOException

Initiates writing of the MetaData

Parameters:
  `meta` - Metadata
Throws:
  `IOException` - I/O exception

#### writeMetaData

    void writeMetaData(IMetaData<?,?> metaData)

Writes the MetaData

Parameters:
  `metaData` - Metadata

#### writeMetaCue

    void writeMetaCue()

Writes the Meta Cue Points

#### readMetaData

    MetaData<?,?> readMetaData(org.apache.mina.core.buffer.IoBuffer buffer)

Read the MetaData

Parameters:
  `buffer` - IoBuffer source
Returns:
  metaData Metadata

#### readMetaCue

    IMetaCue[] readMetaCue()

Read the Meta Cue Points

Returns:
  Meta cue points

#### setFile

    void setFile(File file)

Media file to be accessed

Parameters:
  `file` -

#### getFile

    File getFile()

Returns the file being accessed

Returns:
  file